%% % /bin/rm slurm* DATAOUT/rad*.dat*; sbatch --array=1-49 sergio_matlab_jobB.sbatch

addpath /home/sergio/HITRAN2UMBCLBL/LBLRTM/XHUANG
addpath /asl/matlib/aslutil
addpath /asl/matlib/rtptools
addpath /asl/matlib/h4tools
addpath /home/sergio/KCARTA/MATLAB
addpath /home/sergio/MATLABCODE

%% see ~/KCARTA/WORK/RUN_TARA/GENERIC_RADSnJACS_MANYPROFILES/
JOB = str2num(getenv('SLURM_ARRAY_TASK_ID'));
%JOB = 49;
%JOB = 4;

iiBin = JOB;

% frtpin = '/asl/s1/sergio//pin_feb2002_sea_airsnadir_op.so2.latlon.const_emiss.rtp';
% frtpin = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airsnadir_op.so2.latlon.const_emiss.rtp';

%% emiss 1.0, go thru nadir, 15, 30, 45, 60 deg
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs15deg_op.so2.latlon.const_emiss.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs30deg_op.so2.latlon.const_emiss.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs45deg_op.so2.latlon.const_emiss.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs60deg_op.so2.latlon.const_emiss.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airsnadir_op.so2.latlon.const_emiss.rtp';

%% emiss 0.8, go thru nadir, 15, 30, 45, 60 deg
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airsnadir_op.so2.latlon.const_emiss_0.8.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs15deg_op.so2.latlon.const_emiss_0.8.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs60deg_op.so2.latlon.const_emiss_0.8.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs30deg_op.so2.latlon.const_emiss_0.8.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs45deg_op.so2.latlon.const_emiss_0.8.rtp';

%% emiss 0.9, go thru nadir, 15, 30, 45, 60 deg
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs60deg_op.so2.latlon.const_emiss_0.9.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs45deg_op.so2.latlon.const_emiss_0.9.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs30deg_op.so2.latlon.const_emiss_0.9.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs15deg_op.so2.latlon.const_emiss_0.9.rtp';
use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airsnadir_op.so2.latlon.const_emiss_0.9.rtp';

use_this_rtp0 = '/home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/pin_feb2002_sea_airs15deg_op.so2.latlon.const_emiss_0.9.rtp';

frtpin = use_this_rtp0;

use_this_rtp = use_this_rtp0;

%% everywhere you find '/' in use_this_rtp, replace it with '\/'
ooh = strfind(use_this_rtp,'/');
if length(ooh) > 0
  %use_this_rtp = strrep(use_this_rtp, '/', '\/');
  use_this_rtp = use_this_rtp(ooh(end)+1:end);
end

[hhx,hhax,ppx,ppax] = rtpread(use_this_rtp);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iDoKC = -1;
iDoKC = +1;
if iDoKC > 0
  kcarta     = ['/home/sergio/KCARTA/BIN/bkcarta.x_lblrtm12.4'];
  kcartaUMBC = ['/home/sergio/KCARTA/BIN/bkcarta.x_385ppmv'];
  kcartaHI   = ['/home/sergio/KCARTA/BIN/bkcarta.x_highres605_1205'];

  outname      = ['DATAOUT/rad.dat'      num2str(iiBin)];
  outnameUMBC  = ['DATAOUT/radUMBC.dat'  num2str(iiBin)];
  outnameHI    = ['DATAOUT/radHI.dat'    num2str(iiBin)];
  outnml     = ['run_nml'     num2str(iiBin)];
  outnmlUMBC = ['run_nmlUMBC' num2str(iiBin)];
  outnmlHI   = ['run_nmlHI'   num2str(iiBin)];

  f1 = 605; f2 = 2830; %% low res
  f1 = 605; f2 = 1205; %% hi res

  sedder = ['!sed -e "s/FF1/' num2str(f1) '/g"  -e "s/FF2/' num2str(f2) '/g" '];
  sedder = [sedder ' -e "s/PPP/'     num2str(iiBin) '/g"'];
  sedder = [sedder ' -e "s/TTT/'     num2str(43) '/g"'];
  sedder = [sedder ' -e "s/XYZXYZ/'  use_this_rtp   '/g"'];  %%%<<<-- to sed rtpfname
  sedder = [sedder ' template_quickuse.nml          > ' outnml];   eval(sedder)

  sedder = ['!sed -e "s/FF1/' num2str(f1) '/g"  -e "s/FF2/' num2str(f2) '/g" '];
  sedder = [sedder ' -e "s/PPP/'     num2str(iiBin) '/g"'];
  sedder = [sedder ' -e "s/TTT/'     num2str(-1) '/g"'];
  sedder = [sedder ' -e "s/XYZXYZ/'  use_this_rtp   '/g"'];  %%%<<<-- to sed rtpfname
  sedder = [sedder ' template_quickuse.nml          > ' outnmlUMBC];   eval(sedder)

  sedder = ['!sed -e "s/FF1/' num2str(f1) '/g"  -e "s/FF2/' num2str(f2) '/g" '];
  sedder = [sedder ' -e "s/PPP/'     num2str(iiBin) '/g"'];
  sedder = [sedder ' -e "s/TTT/'     num2str(43) '/g"'];
  sedder = [sedder ' -e "s/XYZXYZ/'  use_this_rtp   '/g"'];  %%%<<<-- to sed rtpfname
  sedder = [sedder ' template_quickuse_highres.nml  > ' outnmlHI]; eval(sedder)

  %%%%%%%%%%%%%%%%%%%%%%%%%

  rmer = ['!/bin/rm ' outname ' ' outnameUMBC ' ' outnameHI]; eval(rmer);

  kcartaer = ['!' kcarta ' ' outnml ' ' outname ' >& ugh'];
  eval(kcartaer);
  [d,w,str] = readkcstd(outname);

  kcartaer = ['!' kcartaUMBC ' ' outnmlUMBC ' ' outnameUMBC ' >& ughUMBC'];
  eval(kcartaer);
  [dUMBC,w,strUMBC] = readkcstd(outnameUMBC);

  kcartaer = ['!' kcartaHI ' ' outnmlHI ' ' outnameHI ' >& ughHI'];
  eval(kcartaer);
  [dxHigh,wxHigh,strHigh] = readkcstd(outnameHI);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iBandA = [0605 1205 1805 2405];
iBandB = [1205 1805 2405 2830];

addpath /home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/

iiBinboo = mod(iiBin,10);
if iiBinboo == 0
  iiBinboo = 10;
end  
if iiBin <= 10
  lbldir = ['/home/sergio/HITRAN2UMBCLBL/LBLRTM/Toff_' num2str(iiBinboo,'%02d')];
elseif iiBin <= 20
  lbldir = ['/home/sergio/HITRAN2UMBCLBL/LBLRTM/Toff2_' num2str(iiBinboo,'%02d')];
elseif iiBin <= 30
  lbldir = ['/home/sergio/HITRAN2UMBCLBL/LBLRTM/Toff3_' num2str(iiBinboo,'%02d')];
elseif iiBin <= 40
  lbldir = ['/home/sergio/HITRAN2UMBCLBL/LBLRTM/Toff4_' num2str(iiBinboo,'%02d')];
elseif iiBin <= 50
  lbldir = ['/home/sergio/HITRAN2UMBCLBL/LBLRTM/Toff5_' num2str(iiBinboo,'%02d')];
end

cder = ['cd ' lbldir]; eval(cder)
fprintf(1,'Will run local version of LBLRTM in %s \n',pwd)

vxx = [];
radd = [];
for ii = 1 : length(iBandA)
  fprintf(1,'band %2i of 4 \n',ii);
  [hOut,pOut] = template_layersRTP_to_tape5(frtpin,iiBin,iBandA(ii),iBandB(ii));
  disp('   moving files and running lblrtm')
  mver = ['!mv EMISSIVITYx   EMISSIVITY']; eval(mver)
  mver = ['!mv REFLECTIVITYx REFLECTIVITY']; eval(mver)
  mver = ['!mv TAPE5x        TAPE5']; eval(mver)
  lser = ['!ls -lt EMISSIVITY REFLECTIVITY TAPE5']; eval(lser)
  lbler = ['!time lblrtm'];
  eval(lbler)
  [vx, rad, v] = lblrtm_tape11_reader_ODint('TAPE11','d');
  figure(3); clf; plot(vx,rad2bt(vx,rad*1e7)); pause(0.1);
  vxx  = [vxx;  vx];
  radd = [radd; rad];
end  

clear vx rad
figure(3); clf; plot(vxx); grid; axis([2.3e5 2.5e5 1180 1220]);
figure(3); clf; plot(vxx(1:end-1),diff(vxx)); grid; axis([1180 1220 0 0.003])
figure(3); clf; plot(vxx,rad2bt(vxx,radd*1e7)); pause(0.1);

ii = 1;
  [hOut,pOut] = template_layersRTP_to_tape5(frtpin,iiBin,iBandA(ii),iBandB(ii),0.0005);
  disp('   moving files and running lblrtm for HIRES run')
  mver = ['!mv EMISSIVITYx   EMISSIVITY']; eval(mver)
  mver = ['!mv REFLECTIVITYx REFLECTIVITY']; eval(mver)
  mver = ['!mv TAPE5x        TAPE5']; eval(mver)
  lser = ['!ls -lt EMISSIVITY REFLECTIVITY TAPE5']; eval(lser)  
  lbler = ['!time lblrtm'];
  disp('   running lblrtm')
  eval(lbler)
  [vxHigh, radHigh, vHigh] = lblrtm_tape11_reader_ODint('TAPE11','d');
cd /home/sergio/IR_NIR_VIS_UV_RTcodes/RRTM/v3.3/rrtm_lw/StephanHavemann_Fall2016/

%%%%%%%%%%%%%%%%%%%%%%%%%

saver = ['save DATAOUT/results_prof_' num2str(iiBin) '_angle_' num2str(ppx.satzen(iiBin)) '.mat vxx radd w d dUMBC vxHigh radHigh dxHigh wxHigh str*'];
eval(saver)
whos d radd

[fc,qc] = quickconvolve(w,[d radd*1e7],0.5,0.5);

figure(1); clf;
plot(w,rad2bt(w,d)-rad2bt(w,radd*1e7))

plot(fc,rad2bt(fc,qc(:,1)))
plot(fc,rad2bt(fc,qc(:,1))-rad2bt(fc,qc(:,2))); title('kcartaLO - lblrtmLO'); grid

figure(2); clf
[fcxHigh,qcxHigh] = quickconvolve(wxHigh,[dxHigh radHigh*1e7],0.5,0.5);
plot(fc,rad2bt(fc,qc(:,1)),fcxHigh,rad2bt(fcxHigh,qcxHigh),'r')
plot(fcxHigh,rad2bt(fcxHigh,qcxHigh(:,1))-rad2bt(fcxHigh,qcxHigh(:,2))); title('kcartaHI - lblrtmHI'); grid

figure(3); clf
plot(fc,rad2bt(fc,qc(:,1))-rad2bt(fc,qc(:,2)),'b.-',fcxHigh,rad2bt(fcxHigh,qc(1:length(fcxHigh),1))-rad2bt(fcxHigh,qcxHigh(:,1)),'r','linewidth',2);
title('(b) kcarta - lblrtm (r) kcartaLO - kcartaHI'); grid
axis([605 725 -2 +1])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


saver = ['save DATAOUT/results_prof_' num2str(iiBin) '_angle_' num2str(ppx.satzen(iiBin)) '.mat vxx radd w d dUMBC vxHigh radHigh dxHigh wxHigh fc qc fcxHigh qcxHigh str*'];
eval(saver)

rmer = ['!/bin/rm ' outname ' ' outnameUMBC ' ' outnameHI]; eval(rmer);
rmer = ['!/bin/rm ' outnml ' ' outnmlHI ' ' outnmlUMBC]; eval(rmer);
