addpath /home/sergio/KCARTA/MATLAB
addpath /home/sergio/SPECTRA
addpath /home/sergio/MATLABCODE

%{
in /home/sergio/KCARTA/NONLTE/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Jan2020/cluster_convolve_rad_results_nobloat.m
    thedir = [themaindir '/Results_lte_Rhead/'];
    fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii))];
    fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(2))];    %% lte same at any solar angle (deep inside 4.3 um band), computed using kCARTA LBL and used
    fnameLTE = [fnameLTE '_scan' num2str(va(vv)) '.dat'];               %% when doing delta(rad)=NLTE-LTE fits
    [da_lteB(:,kk),wlteB] = readkcstd(fnameLTE);
in /home/sergio/KCARTA/NONLTE/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Jan2020/airs_convolve.m
[fairs_lteB, lte_airsB] = convolve_airs(wlteB, da_lteB, clist, sfile);
lte_airs_Bfunny4um = lte_airsB;   %%%replace with bloated LTE comps
%}

%{
According to Chris Hepplewhite, the fitting is for the following delta

Using:
kc.home = ‘/home/sergio/KCARTA/NONLTE/’;
kc.dir400 = [kc.home ‘VT_48PROFILES_120_400ppmv_v120_H16_NLTEH16_Dec2018/Results/CONV_Results/’];
kc.dir385 = [kc.home ‘VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Jan2020/Results/CONV_Results/‘];
   fname385=[kc.dir385 ‘/vt’ int2str(ip) ‘.mat’];
   fname400=[kc.dir400 ‘/vt’ int2str(ip) ‘.mat’];
   x1 = load(fname400);
   x2 = load(fname385);
   switch csens
     case ‘IASI’
       r400.nlte         = x1.nlte_iasiB;
       r400.lteBfunny4um = x1.lte_iasi_Bfunny4um;
       r385.nlte         = x2.nlte_iasiB;
       r385.lteBfunny4um = x2.lte_iasi_Bfunny4um;
       freq = x1.fiasi;
end
%}

results = load('/home/sergio/KCARTA/NONLTE_PRODUCTION/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles_SAVETHISGOOD/Results/CONV_Results/vt1.mat');
junk = results.nlte_airsUA - results.lte_airs_Bfunny4um;
plot(results.fairs,junk); axis([2200 2500 -0.2 +0.2]); grid

deltaBT = rad2bt(results.fairs,results.nlte_airsUA(:,1)) - rad2bt(results.fairs,results.lte_airs_Bfunny4um(:,1));
deltaBT = rad2bt(results.fairs,results.nlte_airs(:,1))   - rad2bt(results.fairs,results.lte_airs_Bfunny4um(:,1));
plot(results.fairs,deltaBT)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[dnlte,w]    = readkcUA('/home/sergio/KCARTA/NONLTE_PRODUCTION/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles_SAVETHISGOOD/Results/Results_0/vt1_sun0_120km.dat_UA');
%[dnlte,w]    = readkcUA('/home/sergio/KCARTA/NONLTE_PRODUCTION/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles_SAVETHISGOOD/Results/Results_50/vt1_sun0_120km.dat_UA');
dnlte = dnlte(:,2);

iType = input('Enter (0) for Rhead UA LTE (1=default) for Rhead usual LTE (2) for Usual LTE : ');
if length(iType) == 0
  iType = 1;
end

if iType == 0
  [dlte,wl] = readkcUA('/home/sergio/KCARTA/NONLTE_PRODUCTION/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles_SAVETHISGOOD/Results/Results_lte_Rhead/vt1_sun40_scan0.dat_UA');
elseif iType == 1
  [dlte,wl] = readkcstd('/home/sergio/KCARTA/NONLTE_PRODUCTION/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles_SAVETHISGOOD/Results/Results_lte_Rhead/vt1_sun40_scan0.dat');
  wl = wl(40001:150000);
  dlte = dlte(40001:150000);
elseif iType == 2
  [dlte,wl] = readkcstd('/home/sergio/KCARTA/NONLTE_PRODUCTION/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles_SAVETHISGOOD/Results/Results_lte_Usual/vt1_sun40_scan0.dat');
  wl = wl(40001:150000);
  dlte = dlte(40001:150000);
end
fprintf(1,'sum(w-wl) = %8.6f \n',sum(w-wl))

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% https://www.atmos.umd.edu/~ytma/lblrtm/lblrtm_instructions.html
[data10nlte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE10_NLTE','l');   %% these are ODS, last layer
[data11nlte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE11_NLTE','l');   %% ??
[data12nlte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE12_NLTE','l');   %% ??
%[data12nlte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE12_NLTE_Yingtao','l');  disp('read in Yintao NLTE');

%[data10lte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE10_LTE','l');   %% these are ODS, last layer
[data11lte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE11_LTE','l');   %% ??
[data12lte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE12_LTE','l');   %% ??
%[data12lte] = lbl_read_dbl_TAPE10_12_rad_oct2019('TAPE12_LTE_Yingtao','l');  disp('read in Yintao LTE');

plot(w,dnlte,'r',w,dlte,'b',data12nlte.v,data12nlte.rad*1e7,'m',data12lte.v,data12lte.rad*1e7,'c');
plot(w,rad2bt(w,dnlte),'r',w,rad2bt(w,dlte),'b',...
     data12nlte.v,rad2bt(data12nlte.v,data12nlte.rad*1e7),'m',data12lte.v,rad2bt(data12lte.v,data12lte.rad*1e7),'c');

w1 = w(1) - 0.0005*2;
w2 = w(end) + 0.0005*3;;
wx = w1 : 0.0005 : w2;

wx5 = boxint(wx,5);

lbldata10nlte = interp1(data12nlte.v,data10nlte.rad,wx);
lbldata11nlte = interp1(data12nlte.v,data11nlte.rad*1e7,wx);
lbldata12nlte = interp1(data12nlte.v,data12nlte.rad*1e7,wx);

  lbldata10nlte_5 = boxint(lbldata10nlte,5);
  lbldata11nlte_5 = boxint(lbldata11nlte,5);
  lbldata12nlte_5 = boxint(lbldata12nlte,5);

%lbldata10lte = interp1(data12lte.v,data10lte.rad,wx);
lbldata11lte = interp1(data12lte.v,data11lte.rad*1e7,wx);
lbldata12lte = interp1(data12lte.v,data12lte.rad*1e7,wx);

  %lbldata10lte_5 = boxint(lbldata10lte,5);
  lbldata11lte_5 = boxint(lbldata11lte,5);
  lbldata12lte_5 = boxint(lbldata12lte,5);

lbldata5nlte = lbldata12nlte_5;
lbldata5lte  = lbldata12lte_5;

%lbldata5nlte = lbldata11nlte_5;
%lbldata5lte  = lbldata11lte_5;

[fc,qc] = quickconvolve(w,[dnlte dlte lbldata5nlte' lbldata5lte'],2,2); tc = rad2bt(fc,qc);
plot(fc,tc(:,1),'r',fc,tc(:,2),'b',fc,tc(:,3),'m',fc,tc(:,4),'c','linewidth',2)
hl = legend('KC NLTE','KC LTE','LBLRTM NLTE','LBLRTM LTE','location','best');

plot(fc,tc(:,1)-tc(:,2),'b',fc,tc(:,1)-tc(:,3),'rx-',fc,tc(:,2)-tc(:,3),'g',results.fairs,deltaBT,'k','linewidth',2)
hl = legend('KC NLTE - KC LTE','KC NLTE - LBLRTM NLTE','KC LTE - LBLRTM NLTE','CONV results','location','best');
axis([2200 2500 -2 +8]); grid on

plot(fc,tc(:,1)-tc(:,2),'b',fc,tc(:,3)-tc(:,4),'c',fc,tc(:,1)-tc(:,3),'rx-',fc,tc(:,2)-tc(:,3),'g',results.fairs,deltaBT,'k','linewidth',2)
hl = legend('KC NLTE - KC LTE','LBL NLTE - LBL LTE','KC NLTE - LBLRTM NLTE','KC LTE - LBLRTM NLTE','CONV results','location','best'); set(hl,'fontsize',8);
axis([2200 2500 -2 +9]); grid on; ylabel('\Delta BT(K)'); xlabel('Wavenumber cm-1')

plot(fc,tc(:,1)-tc(:,2),'bx-',fc,tc(:,3)-tc(:,4),'c',fc,tc(:,1)-tc(:,3),'rx-',fc,tc(:,2)-tc(:,4),'g',results.fairs,deltaBT,'k','linewidth',2)
hl = legend('KC NLTE - KC LTE','LBL NLTE - LBL LTE','KC NLTE - LBLRTM NLTE','KC LTE - LBLRTM LTE','CONV results','location','best'); set(hl,'fontsize',8);
axis([2200 2500 -2 +9]); grid on; ylabel('\Delta BT(K)'); xlabel('Wavenumber cm-1')
