%{
after tunning this code


first check that sqrun = [0], sqpd = 0]. Then
  ls -lt Results/JUNK_PROCESS/
if happy
  /bin/rm Results/JUNK_PROCESS/*.nml; /bin/rm Results/JUNK_PROCESS/*.log; /bin/rm Results/JUNK_PROCESS/*.dat*; /bin/rm Results/JUNK_PROCESS/*.rtp
  kleenslurm
  jobs_not_done.sc
%}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath /home/sergio/MATLABCODE

iProfMax = 49;   %% 49regression profiles
iProfMax = 50;   %% ok we will do one more
iProfMax = 100;  %% lets do the entire first 100  (49 regr + 51 ecmwf)

if exist('usualALL')
  usualALLX = usualALL;
  lteALLX   = lteALL;
  nlteALLX  = nlteALL;
  inprogressALLX = inprogressALL;
  iaDoneALLX     = iaDoneALL;
end

usualALL      = zeros(iProfMax,13,6); 
lteALL        = zeros(iProfMax,13,6); 
nlteALL       = zeros(iProfMax,13,6); 
inprogressALL = zeros(iProfMax,1);

thesolang = [00 15 30 40 50 60 70 80 85 90 95 100 120];
thescanang = [00 10 20 30 40 50];
fprintf(1,'length(thesolang) = %2i length(thescanang) = %2i for total of %3i runs per profile \n',length(thesolang),length(thescanang),length(thesolang)*length(thescanang));

jobsnotdone = [];
for iP = 1 : iProfMax
  clear usual lte nlte inprogress
  [usual,lte,nlte,inprogress] = check_progress(iP);
  usualALL(iP,:,:) = usual;
  lteALL(iP,:,:)   = lte;
  nlteALL(iP,:,:)  = nlte;

  %% estimate missing JOBs that need to be done
  moo = zeros(size(usual));
  [badx,bady] = find(usual == 0 | lte == 0 | nlte == 0);
  [bad]       = find(usual == 0 | lte == 0 | nlte == 0);
  moo(bad) = 1;
  if sum(moo(:)) > 0
    %% Suupose Profile 5 has everything done except for below (solang = 3, scanang = 6)
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     1
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %%      0     0     0     0     0     0
    %% then we need to have cluster_run_nlte_lte   do JOB = (iProfile-1)*13 + 3 = (5-1)*13 + 3 = 68;
    %% it will loop over the first 5 scanangs, find they are done, then do the 6th angle

    %for ij = 1 : length(badx)
    %  nyuk(ij) = (iP-1)*length(thesolang) + badx(ij)
    %end
    nyuk = (iP-1)*length(thesolang) + badx;

    jobsnotdone = [jobsnotdone; unique(nyuk)];
    fprintf(1,'profile %3i still needs %3i runs to be finished \n',iP,length(moo));
  end

  inprogressALL(iP) = inprogress;
  if (sum(usual(:)) == length(thesolang)*length(thescanang)) & (sum(lte(:)) == length(thesolang)*length(thescanang)) & (sum(nlte(:)) == length(thesolang)*length(thescanang))
    iaDoneALL(iP) = 1;
  else
    iaDoneALL(iP) = 0;
  end
end

jett = jet; jett(1,:) = 1;
figure(1); clf; imagesc(squeeze(sum(usualALL,1))); title('Usual LTE'); colorbar; colormap(jet); xlabel('Scanang [1:6 = 0,10,...50]'); ylabel('Solang [1:13 = [00,15,30,...120]'); grid; grid minor; axis([0.5 6.5 1 13]) 
figure(2); clf; imagesc(squeeze(sum(lteALL,1)));   title('LBL LTE');   colorbar; colormap(jet); xlabel('Scanang [1:6 = 0,10,...50]'); ylabel('Solang [1:13 = [00,15,30,...120]'); grid; grid minor; axis([0.5 6.5 1 13])
figure(3); clf; imagesc(squeeze(sum(nlteALL,1)));  title('LBL NLTE');  colorbar; colormap(jet); xlabel('Scanang [1:6 = 0,10,...50]'); ylabel('Solang [1:13 = [00,15,30,...120]'); grid; grid minor; axis([0.5 6.5 1 13])
figure(4); clf; plot(1:iProfMax,inprogressALL);    title('In Progress');
fprintf(1,'Remember iProfMax = %3i so that is what the colorbar should aim for \n',iProfMax)
junk = find(iaDoneALL == 1);
fprintf(1,'  found that %3i profiles out of %3i are completely finished \n',length(junk),iProfMax);
junk = [length(thescanang) length(thesolang) iProfMax  length(thescanang)*length(thesolang)*iProfMax sum(usualALL(:)) sum(lteALL(:)) sum(nlteALL(:)) 100*sum(lteALL(:))/(length(thescanang)*length(thesolang)*iProfMax)];
fprintf(1,'Expect len(scanang) * len(solang) * iProfMax = %2i x %2i x %3i = %4i profiles     ... currently already have %4i %4i %4i total usual,lte,nlte files ... about %8.4f percent complete \n',junk);

if exist('inprogressALLX')
  fprintf(1,' see what progress been made since last time ... and a total of %5i files are currently being made!!!\n',sum(inprogressALL));
  figure(4); clf; imagesc(squeeze(sum(nlteALL-nlteALLX,1)));  title('LBL NLTE more files made?'); colorbar; colormap(jett)
end

disp('To convolve see eg ')
disp('  ../../NONLTE_PRODUCTION/VT_48PROFILES_120_400ppmv_v121_H16_NLTEH16_Mar2020_NewConvolvers/cris_convolve.m ')
disp('  ../../NONLTE_PRODUCTION/VT_48PROFILES_120_400ppmv_v121_H16_NLTEH16_Mar2020_NewConvolvers/airs_convolve.m ')
disp('  ../../NONLTE_PRODUCTION/VT_48PROFILES_120_400ppmv_v121_H16_NLTEH16_Mar2020_NewConvolvers/iasi_convolve.m ')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% see /home/sergio/MATLABCODE/check_all_jobs_done_list.m
if length(jobsnotdone) > 0
  write_out_jobsnotdone_for_cluster(jobsnotdone,1:length(thesolang)*iProfMax);
else
  disp('YAY looks like all JOBS are done .. but you need to check for corrupted files (incomplete)')
end
