i2312wn = find(fairs >= 2312,1); dBT = rad2bt(fairs,nlte_airsB)-rad2bt(fairs,lte_airsB); 
figure(1); plot(fairs,rad2bt(fairs,nlte_airsB)-rad2bt(fairs,lte_airsB)); xlabel('Wavenumber cm-1'); ylabel('\delta BT(K) NLTE-LTE'); title(['AIRS RegrProf' num2str(iProf)])
figure(2); plot(solar,dBT(i2312wn,:),'.'); grid; xlim([0 120]); ylabel('\delta BT(K) NLTE-LTE'); xlabel('\theta_{sun}'); title('AIRS 2312 cm-1')
figure(3); plot(solar,dBT(i2312wn,:),'.'); grid; xlim([0 120]); ylabel('\delta BT(K) NLTE-LTE'); xlabel('\theta_{sun}'); title('AIRS 2312 cm-1'); xlim([80 120]);
pause(1);

i2312wn = find(hi_fcris >= 2312,1); dBT = rad2bt(hi_fcris,hi_nlte_crisB)-rad2bt(hi_fcris,hi_lte_crisB); 
figure(1); plot(hi_fcris,rad2bt(hi_fcris,hi_nlte_crisB)-rad2bt(hi_fcris,hi_lte_crisB)); xlabel('Wavenumber cm-1'); ylabel('\delta BT(K) NLTE-LTE'); title(['CRIS HI RegrProf' num2str(iProf)]); xlim([2200 2450])
figure(2); plot(solar,dBT(i2312wn,:),'.'); grid; xlim([0 120]); ylabel('\delta BT(K) NLTE-LTE'); xlabel('\theta_{sun}'); title('CRIS 2312 cm-1')
figure(3); plot(solar,dBT(i2312wn,:),'.'); grid; xlim([0 120]); ylabel('\delta BT(K) NLTE-LTE'); xlabel('\theta_{sun}'); title('CRIS 2312 cm-1'); xlim([80 120]);
pause(1);

i2312wn = find(fiasi >= 2312,1); dBT = rad2bt(fiasi,nlte_iasiB)-rad2bt(fiasi,lte_iasiB); 
figure(1); plot(fiasi,rad2bt(fiasi,nlte_iasiB)-rad2bt(fiasi,lte_iasiB)); xlabel('Wavenumber cm-1'); ylabel('\delta BT(K) NLTE-LTE'); title(['IASI RegrProf' num2str(iProf)]); xlim([2200 2450])
figure(2); plot(solar,dBT(i2312wn,:),'.'); grid; xlim([0 120]); ylabel('\delta BT(K) NLTE-LTE'); xlabel('\theta_{sun}'); title('IASI 2312 cm-1')
figure(3); plot(solar,dBT(i2312wn,:),'.'); grid; xlim([0 120]); ylabel('\delta BT(K) NLTE-LTE'); xlabel('\theta_{sun}'); title('IASI 2312 cm-1'); xlim([80 120]);
pause(1);

figure(4);
  plot(fairs,rad2bt(fairs,nlte_airsB)-rad2bt(fairs,lte_airsB),'b',...
       hi_fcris,rad2bt(hi_fcris,hi_nlte_crisB)-rad2bt(hi_fcris,hi_lte_crisB),'r')
axis([2200 2400 -1 +8]); grid

figure(5);
  plot(fairs,rad2bt(fairs,nlte_airsUA)-rad2bt(fairs,lte_airsB),'k',...
       hi_fcris,rad2bt(hi_fcris,hi_nlte_crisUA)-rad2bt(hi_fcris,hi_lte_crisB),'g',...
       med_fcris,rad2bt(med_fcris,med_nlte_crisUA)-rad2bt(med_fcris,med_lte_crisB),'c')
axis([2200 2400 -1 +8]); grid

figure(6);
  plot(fairs,rad2bt(fairs,nlte_airsUA)-rad2bt(fairs,nlte_airsB),'k',...
       hi_fcris,rad2bt(hi_fcris,hi_nlte_crisUA)-rad2bt(hi_fcris,hi_nlte_crisB),'g',...
       med_fcris,rad2bt(med_fcris,med_nlte_crisUA)-rad2bt(med_fcris,med_nlte_crisB),'c')
axis([2200 2400 -1 +1]); grid

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

thedir = [themaindir '/CONV_Results/'];
%%% fname = [thedir 'vt' num2str(iProf)  '_rad.mat'];   %%% orig
fname = [thedir 'vt' num2str(iProf) '.mat'];     %%% new

if exist(fname)
  fprintf(1,'%s already exists not saving ... \n',fname);
else
  saver = ['save ' fname];
  saver = [saver ' solar viewer iProf fnamertp'];
  
  saver = [saver ' fairs nlte_airs nlte_airsB nlte_airsUA '];
  saver = [saver ' lte_airsB lte_airs_Bfunny4um '];
  
  saver = [saver ' hi_fcris hi_nlte_cris hi_nlte_crisB hi_nlte_crisUA '];
  saver = [saver ' hi_lte_crisB hi_lte_cris_Bfunny4um '];
  
  saver = [saver ' med_fcris med_nlte_cris med_nlte_crisB med_nlte_crisUA '];
  saver = [saver ' med_lte_crisB med_lte_cris_Bfunny4um '];
  
  saver = [saver ' lo_fcris lo_nlte_cris lo_nlte_crisB lo_nlte_crisUA '];
  saver = [saver ' lo_lte_crisB lo_lte_cris_Bfunny4um '];
  
  saver = [saver ' fiasi nlte_iasi nlte_iasiB nlte_iasiUA '];
  saver = [saver ' lte_iasiB lte_iasi_Bfunny4um '];
  
  saver = [saver ' ng_fiasi ng_nlte_iasi ng_nlte_iasiB ng_nlte_iasiUA '];
  saver = [saver ' ng_lte_iasiB ng_lte_iasi_Bfunny4um '];
  
  saver
  
  eval(saver)
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%% plot the NLTE vs LTE calcs
iPlot = -1;
if iPlot > 0
  plot_the_results
end

