function [raP,raaT] = vib_prof_display(iProf,iSol);

%%display the vt profs

dir = '/home/sergio/KCARTA/SRC/NONLTE2/sergio/VT_48PROFILES/sergio_merge/';
fname = [dir 'vt' num2str(iProf) '_s' num2str(iSol) '.sss'];
data = load(fname);

raP =  data(:,2);
raaT = data(:,3:11);
semilogy(raaT(:,1),raP,'.-',raaT(:,[6 2 8]),raP,'.-',...
         raaT(:,[7 3 9]),raP,'x-',raaT(:,[4 5]),raP,'o-')
legend('kin','p1','s1','d1','p2','s2','d2','s3','s4');
str = ['Prof = ' num2str(iProf) ' Sol = ' num2str(iSol)];
title(str);

% see summary.f
% store the vib temps for the following
% 1    iI
% 2    raP
% 3  1 raT 
% 4  2 raaNLTE_vib(1,1)     = 2349.143    sigsig  9  1        
% 5  3 raaNLTE_vib(1,2)     = 2283.488    sigsig  9  2
% 6  4 raaNLTE_vib(1,3)     = 2332.113    sigsig  9  3
% 7  5 raaNLTE_vib(1,4)     = 2340.014    sigsig  9  4 
% 8  6 raaNLTE_vib(1,5)     = 2338.177    pipi   16  1
% 9  7 raaNLTE_vib(1,6)     = 2271.755    pipi   16  2
% 10 8 raaNLTE_vib(1,7)     = 2324.123    deldel 24  1
% 11 9 raaNLTE_vib(1,8)     = 2260.0320   deldel 24  2

%  DO iI = 1,iNV
%    write(iIOUN,30) iI,raP2(iI),raT2(iI),
%  $     raaVibTemp(1,iI),raaVibTemp(2,iI),raaVibTemp(3,iI),raaVibTemp(4,iI),
%  $     raaVibTemp(5,iI),raaVibTemp(6,iI),raaVibTemp(7,iI),raaVibTemp(8,iI)
%    END DO
