## this simply reads in Manuel Lopez-Puertas NLTE profiles, as well as the
## 48 regression profiles, and outputs text files in the form that KCARTA and
## GELN2 can read in, for NLTE computations

########################################################################
#kk is the profile number 1..48
#kk is the profile number 1..49
#kk is the profile number 1..100
#kk is the profile number 1..349????
########################################################################
# this is doing 100th profile
kk=100
kkmax=100

# this is testing
kk=1
kkmax=1

# this is doing first 49 profiles == regression profiles
kk=1
kkmax=49

# this is doing first 49 profiles == regression profiles
kk=1
kkmax=100

iCO2=1     ## 370 ppm
iCO2=2     ## 415 ppm
iCO2=3     ## 460 ppm

while test $kk -le  $kkmax 
do
#for ll in 0 40 60 80 85 90 120
#for ll in 0 
for ll in 00 15 30 40 50 60 70 80 85 90 95 100 120 
do
  echo $kk $ll $iCO2

  sed -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" -e "s/CO2/$iCO2/g" runner > runrunner
  summary.x < runrunner > ugh

  sed -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" -e "s/CO2/$iCO2/g" runner > runrunner
  convertQV.x < runrunner > ugh

  sed -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" -e "s/CO2/$iCO2/g" runnerlte > runrunnerlte
  convertQVlte.x < runrunnerlte > ugh

done
  kk=`expr $kk + 1`
done

#/bin/rm runrunner runrunnerlte
