function change_CO2_od(xppmv)

addpath /home/sergio/HITRAN2UMBCLBL/FORTRAN/mat2for/
addpath /home/sergio/HITRAN2UMBCLBL/FORTRAN/for2mat/

gid = 2;

%scale = 385/400;
scale = xppmv/400;

dirin  = '400ppmv_H16/';
%dirout = '385ppmv_H16/';    
dirout = [num2str(xppmv) 'ppmv_H16/'];

if ~exist(dirout)
  mker = ['!mkdir ' dirout];
  fprintf(1,'making %s directory \n',dirout)
  eval(mker)
else
  fprintf(1,'%s already exists \n', dirout)
  disp('directory already exists, skipping')
  return
end

dtype = 'ieee-le';
for ff = 2205 : 25 : 2505
  [gid,fr,kcomp,B] = for2mat_kcomp_reader([dirin '/r' num2str(ff) '_g2.dat']);
  for2for_gasmult(gid,fr,kcomp,B,scale,[dirout '/r' num2str(ff) '_g2.dat'],dtype)
end
