function [w,da_nlte,da_lte,solar,viewer] = convolve_rad_results(iProf);

%%%%%%%%%%%%%%%%%%% save and display ALL the vt profs
iSol = [0 40 60 80 85 90 120];
va   = [0 10 20 30 40 50];
%%%%%%%%%%%%%%%%%%% save and display ALL the vt profs

%% easy test of code, for Scott to look at 
va   = [0 10 20 30 40 50];
iSol = [0];

%% results saved on Monday Dec 27, 2004; 
%% should be what Scott can see Jan 03, 2005
va   = [0 10 20 30 40 50];
iSol = [0 40 60 80];

%% do them all!!!!!!!!!!!!!
iSol = [0 40 60 80 85 90 120];
va   = [0 10 20 30 40 50];

format long e
kk   = 0;
for vv = 1 : length(va)
  dir = '/carrot/s1/sergio/VT_48PROFILES/CONV_Results/';
  fnamelte = [dir 'rtp_regress_' num2str(va(vv)) '.rad.rtp'];
  fprintf(1,'\n regress file :  %s \n',fnamelte);  
  [h,ha,p,pa] = rtpread(fnamelte);
  airsfreq = find(h.vchan >= 2115 & h.vchan <= 2495);

  %%hopefully do NOT need this anymore
  fnamelteX = [dir 'wcononly105_rtp_regress_' num2str(va(vv)) '.rad.rtp'];
  fprintf(1,'\n regress file :  %s \n',fnamelte);  
  [h,ha,pX,pa] = rtpread(fnamelteX);
  airsfreqX = find(h.vchan >= 2115 & h.vchan <= 2495);

  for ii = 1 : length(iSol)
    disp('--------------------------------------------------')
    kk = kk + 1;
    solar(kk)  = iSol(ii);
    viewer(kk) = va(vv);

    dir = '/carrot/s1/sergio/VT_48PROFILES/Results_';
    dir = [dir num2str(va(vv)) '/'];

    fname1 = [dir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '.dat'];
    fprintf(1,'  nlte : %s \n',fname1);
    [da_nlte(:,kk),w] = readkcstd(fname1);
    nana1   = isnan(da_nlte(:,kk)); nana1   = sum(nana1);
    infinf1 = isinf(da_nlte(:,kk)); infinf1 = sum(infinf1);

    fname1B = [dir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '.dat_bloat'];
    fprintf(1,'  nlte_bloat : %s \n',fname1B);
    [da_nlteB(:,kk),wB] = readkcBloat(fname1B);
    nana2   = isnan(da_nlteB(:,kk)); nana2   = sum(nana2);
    infinf2 = isinf(da_nlteB(:,kk)); infinf2 = sum(infinf2);

    dir = '/carrot/s1/sergio/VT_48PROFILES/Results_lte_Rhead/';
    fnameLTE = [dir 'vt' num2str(iProf) '_sun' num2str(iSol(ii))];
    fnameLTE = [fnameLTE '_scan' num2str(va(vv)) '.dat_bloat'];
    fprintf(1,'  lte_bloat : %s \n',fnameLTE);
    [da_lteB(:,kk),wlteB] = readkcBloat(fnameLTE);
    nana3   = isnan(da_lteB(:,kk)); nana3   = sum(nana3);
    infinf3 = isinf(da_lteB(:,kk)); infinf3 = sum(infinf3);

    doink = find((abs(p.solzen-iSol(ii)) <= 0.01) & p.scanang == va(vv));
    doink = doink(iProf);
    fprintf(1,'  sol = %4i scan = %4i doink = %4i \n',iSol(ii),va(vv),doink);
    da_lte(:,kk)   = p.rcalc(airsfreq,doink);
    da_lteX(:,kk) = pX.rcalc(airsfreq,doink);

    end 
  end

%clist = 1:2378; 
f = h.vchan;

addpath /asl/matlab/sconv
sfile = '/asl/matlab/srftest/srftables_m16_155K.hdf';
sfile = '/asl/data/airs/srf/srftables_020614v1.hdf';
sfile = '/asl/data/airs/srf/srftables_m135_fringes.hdf';
sfile = '/asl/data/airs/srf/srftables_m135_m105forM5M6_fringes_nov02.hdf';
%%%%%%%%%%%%%%%
sfile = '/asl/data/airs/srf/srftables_031115v3.hdf';
%%%%%%%%%%%%%%%

ii = 1 : length(w);  w  = w(1)  + (ii-1)*0.0025; 
ii = 1 : length(wB); wB = wB(1) + (ii-1)*0.0005; 
clist = find(f >= 2115 & f <= 2495);
[fout, nlte_airs  ] = convolve_airs(w,  da_nlte,  clist);
[foutB, nlte_airsB] = convolve_airs(wB, da_nlteB, clist);

ii = 1 : length(wlteB); wlteB = wlteB(1) + (ii-1)*0.0005; 
clist = find(f >= 2360 & f <= 2425); %% before Mar 2005, did LTE from 2355-2330
clist = find(f >= 2115 & f <= 2495); %% after  Mar 2005, did LTE from 2105-2505
[fout_lteB, lte_airsB] = convolve_airs(wlteB, da_lteB, clist);
lte_airs   = da_lte;
lte_airsX = da_lteX;

iixx = find(foutB >= fout_lteB(1) & foutB <= fout_lteB(length(fout_lteB)));
lte_airs_Bfunny4um         = lte_airs;
lte_airs_Bfunny4um(iixx,:) = lte_airsB;   %%%replace with bloated LTE comps
lte_airs_Bfunny4umX         = lte_airsX;
lte_airs_Bfunny4umX(iixx,:) = lte_airsB;  %%%replace with bloated LTE comps

dir = '/carrot/s1/sergio/VT_48PROFILES/CONV_Results/';
fname = [dir 'vt' num2str(iProf)  '_radX.mat'];
saver = ['save ' fname ' fout foutB lte_airs nlte_airs nlte_airsB '];
saver = [saver ' fout_lteB lte_airsB lte_airs_Bfunny4um '];
saver = [saver ' lte_airsX lte_airs_Bfunny4umX '];
saver = [saver ' solar viewer iProf ']
eval(saver)

whos fout foutB lte_airs nlte_airs nlte_airsB
%[fout(1) fout(length(fout))]/1000
%[foutB(1) foutB(length(foutB))]/1000

%%%%%%%%% plot the NLTE vs LTE calcs
figure(1)
iixx = find(fout >= foutB(1) & fout <= foutB(length(foutB)));
fx = fout(iixx);
plot(fx,rad2bt(fx,nlte_airs(iixx,:)) -  rad2bt(fx,lte_airs(iixx,:)),'b',...
     fx,rad2bt(fx,nlte_airsB(iixx,:))-  rad2bt(fx,lte_airs(iixx,:)),'r')
plot(fx,rad2bt(fx,nlte_airsB(iixx,:))-  rad2bt(fx,lte_airs(iixx,:)),...
     'LineWidth',2)
grid; axis([2230 2400 -2 10]);

axis([2225 2400 -2 12]);
title([num2str(iProf) ' NLTE (kcarta) v LTE (Sarta)']); 
  ylabel('dBT(K)'); xlabel('Wavenumber cm-1');

%%%%%%%%% plot the LTE (kcarta) vs LTE (sarta) calcs
figure(2)
iixx = find(foutB >= fout_lteB(1) & foutB <= fout_lteB(length(fout_lteB)));
fx = foutB(iixx);
plot(fx,rad2bt(fx,lte_airsB) - rad2bt(fx,lte_airsX(iixx,:)))

axis([2360 2425 -3 +1]);; grid on
title([num2str(iProf) ' LTE (kcarta) - LTE (sarta)']); 
  ylabel('dBT(K)'); xlabel('Wavenumber cm-1');

%%%%%%%%% as in fig 1, plot the NLTE vs LTE calcs;
%%%%%%%%% but use the replaced LTE computations at 4 um branchead
figure(3)
iixx = find(fout >= foutB(1) & fout <= foutB(length(foutB)));
fx = fout(iixx);
plot(fx,rad2bt(fx,nlte_airsB(iixx,:)) -  ...
      rad2bt(fx,lte_airs_Bfunny4umX(iixx,:)),...
     'LineWidth',2)
grid; axis([2230 2400 -2 12]);

axis([2225 2400 -2 10]);
title([num2str(iProf) ' NLTE v LTE (with 4 um R-head replaced)']); 
ylabel('dBT(K)'); xlabel('Wavenumber cm-1');

pause(1);

%keyboard
