function [w,da_nlte,da_lte,solar,viewer] = convolve_rad_results(iProf);

%%%%%%%%%%%%%%%%%%% save and display ALL the vt profs
iSol = [0 40 60 80 85 90 120];
va   = [0 10 20 30 40 50];
%%%%%%%%%%%%%%%%%%% save and display ALL the vt profs

%% easy test of code, for Scott to look at 
va   = [0 10 20 30 40 50];
iSol = [0];

%% results saved on Monday Dec 27, 2004; 
%% should be what Scott can see Jan 03, 2005
va   = [0 10 20 30 40 50];
iSol = [0 40 60 80];

%% do them all!!!!!!!!!!!!!
iSol = [0 40 60 80 85 90 120];
va   = [0 10 20 30 40 50];

format long e
kk   = 0;
for vv = 1 : length(va)
  dir = '/carrot/s1/sergio/VT_48PROFILES/CONV_Results/';
  fnamelte = [dir 'rtp_regress_' num2str(va(vv)) '.rad.rtp'];
  fprintf(1,'\n regress file :  %s \n',fnamelte);  
  [h,ha,p,pa] = rtpread(fnamelte);
  airsfreq = find(h.vchan >= 2115 & h.vchan <= 2495);

  for ii = 1 : length(iSol)
    disp('--------------------------------------------------')
    kk = kk + 1;
    solar(kk)  = iSol(ii);
    viewer(kk) = va(vv);

    dir = '/carrot/s1/sergio/VT_48PROFILES/Results_';
    dir = [dir num2str(va(vv)) '/'];

    fname1 = [dir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '.dat'];
    fprintf(1,'  nlte : %s \n',fname1);
    [da_nlte(:,kk),w] = readkcstd(fname1);
    nana1   = isnan(da_nlte(:,kk)); nana1   = sum(nana1);
    infinf1 = isinf(da_nlte(:,kk)); infinf1 = sum(infinf1);

    fname1B = [dir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '.dat_bloat'];
    fprintf(1,'  nlte_bloat : %s \n',fname1B);
    [da_nlteB(:,kk),wB] = readkcBloat(fname1B);
    nana2   = isnan(da_nlteB(:,kk)); nana2   = sum(nana2);
    infinf2 = isinf(da_nlteB(:,kk)); infinf2 = sum(infinf2);

    dir = '/carrot/s1/sergio/VT_48PROFILES/Results_lte_Rhead/';
    fnameLTE = [dir 'vt' num2str(iProf) '_sun' num2str(iSol(ii))];
    fnameLTE = [fnameLTE '_scan' num2str(va(vv)) '.dat_bloat'];
    fprintf(1,'  lte_bloat : %s \n',fnameLTE);
    [da_lteB(:,kk),wlteB] = readkcBloat(fnameLTE);
    nana3   = isnan(da_lteB(:,kk)); nana3   = sum(nana3);
    infinf3 = isinf(da_lteB(:,kk)); infinf3 = sum(infinf3);

    doink = find((abs(p.solzen-iSol(ii)) <= 0.01) & p.scanang == va(vv));
    doink = doink(iProf);
    fprintf(1,'  sol = %4i scan = %4i doink = %4i \n',iSol(ii),va(vv),doink);
    da_lte(:,kk) = p.rcalc(airsfreq,doink);

    [nana1 nana2 nana3 infinf1 infinf2 infinf3]
    end 
  end

keyboard
