function [w,da_nlte,da_lte,solar,viewer]=convolve_rad_results_nobloat(iProf);

% iProf = 1;

addpath /asl/matlib/h4tools
addpath /asl/matlib/aslutil
addpath /home/sergio/KCARTA/MATLAB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% this is copied from ../VT_48PROFILES_120_400ppmv_v118/cluster_convolve_rad_results_nobloat.m
%% and is rather dangerous
%ppmvstr = '385';
%ppmvstr = '400';
%themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.18_' ppmvstr 'ppmv_NEW/'];
%themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.18_' ppmvstr 'ppmv/'];

%% this is more straightforward ... to the point
%% this is the output dir where kCARTA runs are stored
%% themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.18_' ppmvstr 'ppmv_NEW/'];
%% themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.18_' ppmvstr 'ppmv/'];

%% Results -> /asl/s1/sergio/VT_48PROFILES_120_SRCv1.20_400ppmv_H16
%% themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.21_' ppmvstr 'ppmv_H16/'];

%%  Results -> /asl/s1/sergio/VT_48PROFILES_120_385ppmv_v121_H16_NLTEH16_Jan2020
ppmvstr = '385';
ppmvstr = '400';
themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_' ppmvstr 'ppmv_v121_H16_NLTEH16_Jan2020/'];
themaindir = ['/asl/s1/sergio/NLTE_CALCS/VT_48PROFILES_120_' ppmvstr 'ppmv_v121_H16_NLTEH16_Apr2021_NewNLTEProfiles/'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% this is more straightforward ... to the point
%themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.21_400ppmv_H16_Mar2020'];
themaindir = pwd; themaindir = [themaindir '/Results/'];
ppmvstr = '385';
ppmvstr = '400';

thedir = [themaindir '/CONV_Results/'];
%%% fname = [thedir 'vt' num2str(iProf)  '_rad.mat'];   %%% orig
fname = [thedir 'vt' num2str(iProf) '.mat'];     %%% new
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if exist(fname)
  fprintf(1,'%s already exists not saving ... exiting \n',fname);
  return
end

%% same as convolve_rad_results except it does NOT look for bloated files!

isol_va  %% set view and solar angles

vax  = [0 10 20 30 40 48];  %% sarta cannot handle greater than 48 degrees scanang
vax  = [0 10 20 30 40 50];  %% sarta cannot handle greater than 50 degrees satzen

format long e
kk   = 0;
for vv = 1 : length(va)
  thedir = [themaindir '/CONV_Results/'];
  fnamelte = [thedir 'rtp_regress_' num2str(va(vv)) '_' ppmvstr '.rad.rtp'];

  thedir = ['RTP_100/'];
  thedir = ['RTP_100/RTP_100_6solarangs_0_40_60_80_85_90_120/']; %% OLD
  thedir = ['RTP_100/RTP_100_19solarangs_MLPuertas_Mar2020/'];   %% NEW

  fnamelte = [thedir 'rtp_regress_' num2str(va(vv)) '_' ppmvstr '.op.rtp'];
  
  fprintf(1,'\n regress file :  %s \n',fnamelte);  
  [h,ha,p,pa] = rtpread(fnamelte);  

  airsfreq = find(h.vchan >= 2115 & h.vchan <= 2495);
  %%% airsfreq = [airsfreq' 2715 2716]; airsfreq = airsfreq';   %%% <<<---- new!!!!!

  for ii = 1 : length(iSol)
    disp('--------------------------------------------------')
    kk = kk + 1;
    solar(kk)  = iSol(ii);
    viewer(kk) = va(vv);

    thedir = [themaindir '/Results_'];
    thedir = [thedir num2str(va(vv)) '/'];

    fname1 = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '_120km.dat'];
    fprintf(1,'  nlte : %s \n',fname1);
    [da_nlte(:,kk),w] = readkcstd(fname1);
    nana1   = isnan(da_nlte(:,kk)); nana1   = sum(nana1);
    infinf1 = isinf(da_nlte(:,kk)); infinf1 = sum(infinf1);

    fname1B = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '_120km.dat'];
    fprintf(1,'  nlte_bloat : %s \n',fname1B);
    [da_nlteB(:,kk),wB] = readkcstd(fname1B);
    nana2   = isnan(da_nlteB(:,kk)); nana2   = sum(nana2);
    infinf2 = isinf(da_nlteB(:,kk)); infinf2 = sum(infinf2);

    thedir = [themaindir '/Results_lte_Rhead/'];
    fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii))];
    fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(2))];    %% lte same at any solar angle (deep inside 4.3 um band)
    fnameLTE = [fnameLTE '_scan' num2str(va(vv)) '.dat'];
    [da_lteB(:,kk),wlteB] = readkcstd(fnameLTE);
    fprintf(1,'  lte_bloat : %s \n',fnameLTE);
    nana3   = isnan(da_lteB(:,kk)); nana3   = sum(nana3);
    infinf3 = isinf(da_lteB(:,kk)); infinf3 = sum(infinf3);

    doink = find((abs(p.solzen-iSol(ii)) <= 0.01) & p.scanang == vax(vv));
    doink = find((abs(p.solzen-iSol(ii)) <= 0.01) & p.satzen == vax(vv));    
    doink = doink(iProf);
    fprintf(1,'  sol = %4i scan = %4i doink = %4i \n',iSol(ii),va(vv),doink);
    %da_lte(:,kk)   = p.rcalc(airsfreq,doink);
    %da_lteX(:,kk) = pX.rcalc(airsfreq,doink);

    end 
  end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% modelled after /home/sergio/MATLABCODE/REGR_PROFILES/RUN_KCARTA/convolve_airs_cris_rad.m

addpath /home/sergio/MATLABCODE
f = h.vchan;
f = instr_chans;
addpath /asl/matlib/sconv

ii = 1 : length(w);  w  = w(1)  + (ii-1)*0.0025; 
ii = 1 : length(wB); wB = wB(1) + (ii-1)*0.0025;  %wB = wB(1) + (ii-1)*0.0005; 

airs_convolve
figure(1); plot(fairs,rad2bt(fairs,nlte_airsB))

cris_convolve
figure(2); plot(fcris,rad2bt(fcris,nlte_crisB))

figure(3);
  plot(fairs,rad2bt(fairs,nlte_airsB)-rad2bt(fairs,lte_airsB),'b',...
       fcris,rad2bt(fcris,nlte_crisB)-rad2bt(fcris,lte_crisB),'r')
axis([2200 2400 -5 +10]); grid

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

thedir = [themaindir '/CONV_Results/'];
%%% fname = [thedir 'vt' num2str(iProf)  '_rad.mat'];   %%% orig
fname = [thedir 'vt' num2str(iProf)];     %%% new

if exist(fname)
  fprintf(1,'%s already exists \n',fname);
else
  %% recall solar = iSol, viewer = va
  saver = ['save ' fname ' fairs nlte_airs nlte_airsB '];
  saver = [saver ' lte_airsB lte_airs_Bfunny4um '];
  %saver = [saver ' lte_airsX lte_airs_Bfunny4umX '];
  
  saver = [saver ' fcris nlte_cris nlte_crisB '];
  saver = [saver ' lte_crisB lte_cris_Bfunny4um '];
  %saver = [saver ' lte_crisX lte_cris_Bfunny4umX '];
  
  saver = [saver ' solar viewer iProf ']
  eval(saver)
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%% plot the NLTE vs LTE calcs
iPlot = -1;
if iPlot > 0
  plot_the_results
end

