addpath /asl/matlib/h4tools
addpath /asl/matlib/aslutil
addpath /home/sergio/KCARTA/MATLAB

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% this is copied from ../VT_48PROFILES_120_400ppmv_v118/cluster_convolve_rad_results_nobloat.m
%% and is rather dangerous
%ppmvstr = '385';
%ppmvstr = '400';
%themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.18_' ppmvstr 'ppmv_NEW/'];
%themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.18_' ppmvstr 'ppmv/'];

%% this is more straightforward ... to the point
%%themaindir = ['/asl/s1/sergio/VT_48PROFILES_120_SRCv1.21_400ppmv_H16_Mar2020'];
%themaindir = pwd; themaindir = [themaindir '/Results/'];
%ppmvstr = '385';
%ppmvstr = '400';

iCO2 = 1; themaindir = '/asl/s1/sergio/NLTE_CALCS/VT_48PROFILES_120_SRCv1.22_400ppmv_H16_Mar2025_Set001_100_370ppmv';
iCO2 = 2; themaindir = '/asl/s1/sergio/NLTE_CALCS/VT_48PROFILES_120_SRCv1.22_400ppmv_H16_Mar2025_Set001_100_415ppmv';
iCO2 = 3; themaindir = '/asl/s1/sergio/NLTE_CALCS/VT_48PROFILES_120_SRCv1.22_400ppmv_H16_Mar2025_Set001_100_460ppmv';
themaindir = pwd; themaindir = [themaindir '/Results/']; ppmvstr = '370';

thedir = [themaindir '/CONV_Results/'];
%%% fname = [thedir 'vt' num2str(iProf)  '_rad.mat'];   %%% orig
fname = [thedir 'vt' num2str(iProf) '.mat'];     %%% new
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

iDoTheConvolve = +1;
if exist(fname)
  iDoTheConvolve = -1;
  fprintf(1,'%s already exists not saving ... exiting \n',fname);
  return
end

%% same as convolve_rad_results except it does NOT look for bloated files!

isol_va  %% set view and solar angles

vax = [0 10 20 30 40 48];  %% sarta cannot handle greater than 48 degrees scanang
vax = [0 10 20 30 40 50];  %% sarta cannot handle greater than 50 degrees satzen
vax = va;

format long e
kk   = 0;

disp('we want the code to CRASH AND BURN if any one of the kCARTA output files is missing or corrupt or wrong size ..')
disp('  so no try-catch or testing existence of file')

for vv = 1 : length(va)
  %thedir = [themaindir '/CONV_Results/'];
  %fnamertp = [thedir 'rtp_regress_' num2str(va(vv)) '_' ppmvstr '.rad.rtp'];

  %thedir = ['RTP_100/'];
  %thedir = ['RTP_100/RTP_100_6solarangs_0_40_60_80_85_90_120/']; %% OLD
  %thedir = ['RTP_100/RTP_100_19solarangs_MLPuertas_Mar2020/'];   %% NEW
  %fnamertp = [thedir 'rtp_regress_' num2str(va(vv)) '_' ppmvstr '.op.rtp'];
  
  fnamertp = ['../manuel_jan_2025_370_ppmv.rp.rtp'];

  fprintf(1,'\n regress file :  %s \n',fnamertp);  
  [h,ha,p,pa] = rtpread(fnamertp);  

  airsfreq = find(h.vchan >= 2115 & h.vchan <= 2495);
  %%% airsfreq = [airsfreq' 2715 2716]; airsfreq = airsfreq';   %%% <<<---- new!!!!!

  for ii = 1 : length(iSol)
    disp('--------------------------------------------------')
    fprintf(1,'  inner loop : reading in all solar files for sol = %4i; current scanang = %4i \n',iSol(ii),va(vv));

    kk = kk + 1;
    solar(kk)  = iSol(ii);
    viewer(kk) = va(vv);

    thedir = [themaindir '/Results_'];
    thedir = [thedir num2str(va(vv)) '/'];

    %%%%%%%%%%%%%%%%%%%%%%%%%
    %% this is the 80 km rad
    fname1 = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '_120km.dat'];
    fname1 = [thedir 'nlterad_' num2str(iProf,'%03d') '_' num2str(iSol(ii),'%03d') '_' num2str(va(vv),'%03d') '.dat'];
    fprintf(1,'  nlte : %s \n',fname1);
    [da_nlte(:,kk),w] = readkcstd(fname1);
    nana1   = isnan(da_nlte(:,kk)); nana1   = sum(nana1);
    infinf1 = isinf(da_nlte(:,kk)); infinf1 = sum(infinf1);

    %% this is what I actually use when doing delta(rad)=NLTE-LTE fits
    fname1UA = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '_120km.dat_UA'];  
    fname1UA = [thedir 'nlterad_' num2str(iProf,'%03d') '_' num2str(iSol(ii),'%03d') '_' num2str(va(vv),'%03d') '.dat_UA'];
    fprintf(1,'  nlteUA : %s \n',fname1UA);
    [junk,wUA] = readkcUA(fname1UA);
    da_nlteUA(:,kk) = junk(:,2);
    nana1UA   = isnan(da_nlteUA(:,kk)); nana1UA   = sum(nana1UA);
    infinf1UA = isinf(da_nlteUA(:,kk)); infinf1UA = sum(infinf1UA);

    %%%%%%%%%%%%%%%%%%%%%%%%%
    %% REALLY??? THIS IS SAME AS fname1 since I gave up on "bloat"
    fname1B = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii)) '_120km.dat'];  
    fname1B = [thedir 'nlterad_' num2str(iProf,'%03d') '_' num2str(iSol(ii),'%03d') '_' num2str(va(vv),'%03d') '.dat'];
    fprintf(1,'  nlte_bloat : %s \n',fname1B);
    [da_nlteB(:,kk),wB] = readkcstd(fname1B);
    nana2   = isnan(da_nlteB(:,kk)); nana2   = sum(nana2);
    infinf2 = isinf(da_nlteB(:,kk)); infinf2 = sum(infinf2);

    %%%%%%%%%%%%%%%%%%%%%%%%%
    thedir = [themaindir '/Results_lte_Rhead/'];
    %fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(ii))];
    %fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(iSol(2))];    %% lte same at any solar angle (deep inside 4.3 um band), computed using kCARTA LBL and used
    %fnameLTE = [thedir 'vt' num2str(iProf) '_sun' num2str(40)];         %% lte same at any solar angle (deep inside 4.3 um band), computed using kCARTA LBL and used
    %  fnameLTE = [fnameLTE '_scan' num2str(va(vv)) '.dat'];             %% when doing delta(rad)=NLTE-LTE fits, so use solar = 40

    fnameLTE = [thedir 'lterad_' num2str(iProf,'%03d') '_' num2str(40,'%03d') '_' num2str(va(vv),'%03d') '.dat'];           %% nah, let me use correct solar angles
    fnameLTE = [thedir 'lterad_' num2str(iProf,'%03d') '_' num2str(iSol(ii),'%03d') '_' num2str(va(vv),'%03d') '.dat'];
    [da_lteB(:,kk),wlteB] = readkcstd(fnameLTE);
    fprintf(1,'  lte_bloat : %s \n',fnameLTE);
    nana3   = isnan(da_lteB(:,kk)); nana3   = sum(nana3);
    infinf3 = isinf(da_lteB(:,kk)); infinf3 = sum(infinf3);

    %doink = find((abs(p.solzen-iSol(ii)) <= 0.01) & p.scanang == vax(vv));
    %doink = find((abs(p.solzen-iSol(ii)) <= 0.01) & p.satzen == vax(vv));    
    %doink = doink(iProf);
    %fprintf(1,'  sol = %4i scan = %4i doink = %4i \n',iSol(ii),va(vv),doink);
    %da_lte(:,kk)   = p.rcalc(airsfreq,doink);
    %da_lteX(:,kk) = pX.rcalc(airsfreq,doink);

  end 
  fprintf(1,'  OUTER LOOP : read in all files for va = %4i \n',va(vv));
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% modelled after /home/sergio/MATLABCODE/REGR_PROFILES/RUN_KCARTA/convolve_airs_cris_rad.m

addpath /home/sergio/MATLABCODE
addpath /home/sergio/MATLABCODE/REGR_PROFILES_SARTA/RUN_KCARTA/

f = h.vchan;
f = instr_chans;
addpath /asl/matlib/sconv

ii = 1 : length(w);  w  = w(1)  + (ii-1)*0.0025; 
ii = 1 : length(wB); wB = wB(1) + (ii-1)*0.0025;  %wB = wB(1) + (ii-1)*0.0005; 

figure(1); clf
figure(2); clf
figure(3); clf

iOldORNew = -1;
if iOldORNew == -1
  airs_convolve

  [hi_fcris,hi_nlte_cris,hi_nlte_crisB,hi_nlte_crisUA,hi_lte_crisB,hi_lte_cris_Bfunny4um]       = cris_convolve(wlteB,da_lteB,da_nlteB,w,da_nlte,wUA,da_nlteUA,+2); %% FSR
  [med_fcris,med_nlte_cris,med_nlte_crisB,med_nlte_crisUA,med_lte_crisB,med_lte_cris_Bfunny4um] = cris_convolve(wlteB,da_lteB,da_nlteB,w,da_nlte,wUA,da_nlteUA,+1); %% CHIRP; no need to use cris_convolve_chirp
  [lo_fcris,lo_nlte_cris,lo_nlte_crisB,lo_nlte_crisUA,lo_lte_crisB,lo_lte_cris_Bfunny4um]       = cris_convolve(wlteB,da_lteB,da_nlteB,w,da_nlte,wUA,da_nlteUA, 0); %% NSR

  figure(2); plot(hi_fcris,rad2bt(hi_fcris,hi_nlte_crisB),med_fcris,rad2bt(med_fcris,med_nlte_crisB))

  [   fiasi,   nlte_iasi,   nlte_iasiB,   nlte_iasiUA,   lte_iasiB,   lte_iasi_Bfunny4um,   ...
   ng_fiasi,ng_nlte_iasi,ng_nlte_iasiB,ng_nlte_iasiUA,ng_lte_iasiB,ng_lte_iasi_Bfunny4um] = ...
                     iasi_convolve_new(wlteB,da_lteB,da_nlteB,w,da_nlte,wUA,da_nlteUA);
else
  airs_convolve
  
  [fcris,nlte_cris,nlte_crisB,nlte_crisUA,lte_crisB,lte_cris_Bfunny4um] = cris_convolve(wlteB,da_lteB,da_nlteB,w,da_nlte,wUA,da_nlteUA);
  figure(2); plot(fcris,rad2bt(fcris,nlte_crisB))

  iasi_convolve
  figure(3); plot(fiasi,rad2bt(fiasi,nlte_iasiB))
end

