:
#run it by giving 1 argument "do_nlte_profiles.sc scanang"

if [ "$#" -ne 1 ]
then
  echo "you need to supply 1 argument : scanang = (0,10,20,30,40,50)"
fi

#kk is the profile number 1..48
kk=1
kkmax=1
kkmax=48

##outer loop on scanangle ....
scanang=$1
for sss in $scanang
do

##middle loop on solar angle
for ll in 0 40 60 80 85 90 120
do

## inner loop on profile
kk=1
while test $kk -le  $kkmax 
do
  case $ll in 
    0) mm=1;;
    40) mm=2;;
    60) mm=3;;
    80) mm=4;;
    85) mm=5;;
    90) mm=6;;
    120)mm=7;;
    esac
  pp=`expr $kk + $mm \* 48 - 48`
  echo $sss $mm $kk $pp
  sed -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" -e "s/ZOF/$pp/g" \
      -e "s/SSS/$sss/g" lte.nml > runlterunner.nml

  sed -e "s/SSS/$sss/g" -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" outlte \
         > runlterunner.x

  chmod +x runlterunner.x
  cat runlterunner.x
  runlterunner.x
  kk=`expr $kk + 1`
done  
done
done

#/bin/rm runrunner.nml runrunner.x
