:
#same as do_lte_profiles.sc except you can specify start/stop prof numbers
#run it by giving 1 argument "do_lte_profiles.sc scanang s1 s2"

if [ "$#" -ne 3 ]
then
  echo "you need to supply 3 arguments : scanang = (0,10,20,30,40,50)"
  echo "as well as start and stop profile "
  echo "example : do_lte_profiles2.sc 30 23 27 "
fi

#kk is the profile number 1..48
kk=1
kkmax=48

kk=$2
kkmax=$3

##outer loop on scanangle ....
scanang=$1
for sss in $scanang
do

##middle loop on solar angle
for ll in 0 40 60 80 85 90 120
do

## inner loop on profile
kk=$2 
while test $kk -le  $kkmax  
do
  case $ll in 
    0) mm=1;;
    40) mm=2;;
    60) mm=3;;
    80) mm=4;;
    85) mm=5;;
    90) mm=6;;
    120)mm=7;;
    esac
  pp=`expr $kk + $mm \* 48 - 48`
  echo $sss $mm $kk $pp
  sed -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" -e "s/ZOF/$pp/g" \
      -e "s/SSS/$sss/g" lte.nml > \
      /airs/s1/sergio/JUNK/runlterunner.nml\_$kk\_$ll\_$sss

  sed -e "s/SSS/$sss/g" -e "s/SOL/$ll/g" -e "s/PROF/$kk/g" outlte \
         > runlterunner.x\_$kk\_$ll\_$sss

  chmod +x runlterunner.x\_$kk\_$ll\_$sss
  cat runlterunner.x\_$kk\_$ll\_$sss
  runlterunner.x\_$kk\_$ll\_$sss
  kk=`expr $kk + 1`
done  
done
done

#/bin/rm runrunner.nml\_$kk\_$ll\_$sss runlterunner.x\_$kk\_$ll\_$sss
