for iProf = 1 : 48
  loader = ['load /carrot/s1/sergio/VT_48PROFILES/CONV_Results/vt'];
  loader = [loader num2str(iProf) '_rad.mat'];
  eval(loader);

  iixx = find(fout >= foutB(1) & fout <= foutB(length(foutB))); 
  iixx = find(fout >= 2215 & fout <= 2410);

  fx = fout(iixx); 

  figure(3);
  plot(fx,rad2bt(fx,nlte_airsB(iixx,:)) - ...
          rad2bt(fx,lte_airs_Bfunny4um(iixx,:)),... 
          'LineWidth',2) 
  grid; axis([2230 2400 -2 20]); 
  title([num2str(iProf) ' NLTE v LTE (with 4 um R-head replaced)']);  
  ylabel('dBT(K)'); xlabel('Wavenumber cm-1'); 
 
  figure(1)
  po1 = isnan(rad2bt(fx,nlte_airsB(iixx,:)));         
  if sum(sum(po1)) > 0
    figure(1);  pcolor(1:42,fx,po1); shading interp; colorbar; 
    title('nlte isnan')
    end
  po2 = isinf(rad2bt(fx,nlte_airsB(iixx,:)));         
  if sum(sum(po2)) > 0
    figure(1);  pcolor(1:42,fx,po2); shading interp; colorbar; 
    title('nlte isinf')
    end
  po3 = isfinite(rad2bt(fx,nlte_airsB(iixx,:)));         
  if sum(sum(po3)) > 0
    figure(1);  pcolor(1:42,fx,double(po3)); shading interp; colorbar; 
    title('nlte isfinite')
    end

  figure(2)
  po4 = isnan(rad2bt(fx,lte_airs_Bfunny4um(iixx,:)));         
  if sum(sum(po4)) > 0
    figure(2);  pcolor(1:42,fx,po4); shading interp; colorbar; 
    title('lte isnan')
    end
  po5 = isinf(rad2bt(fx,lte_airs_Bfunny4um(iixx,:)));         
  if sum(sum(po5)) > 0
    figure(2);  pcolor(1:42,fx,po5); shading interp; colorbar; 
    title('lte isinf')
    end
  po6 = isfinite(rad2bt(fx,lte_airs_Bfunny4um(iixx,:)));         
  if sum(sum(po6)) > 0
    figure(2);  pcolor(1:42,fx,double(po6)); shading interp; colorbar; 
    title('lte isfinite')
    end

  po1 = po1(:);
  po2 = po2(:);
  po3 = po3(:);
  po4 = po4(:);
  po5 = po5(:);
  po6 = po6(:);
  [sum(po1) sum(po2) sum(po3) sum(po4) sum(po5) sum(po6)]

  pause(1); 
  end
