for pp = 1 : 48
  [raP,raaaT] = vib_prof_loop_sol(pp);
  raaP(:,pp) = raP;
  raaaaT(pp,:,:,:) = raaaT;
  end

clear raP raaT raaaT

%%%% raaaaT(pp,ss,1:91,1:9) where pp = 1 : 48 (number of profiles)
%%%%                              ss = 1 : 7  (number of sol angles)
%%%%                            1:91 = number of layers
%%%%                             1:9 = number of Temperatures

figure(1); clf
for pp = 1 : 48
  for ss = 1 : 7
    tt = 2; ttk = 1;
    semilogx(raaP(:,pp),squeeze(raaaaT(pp,ss,:,tt)),...
             raaP(:,pp),squeeze(raaaaT(pp,ss,:,ttk))); 
    hold on; 
    end
  end
title('s1-s1');

figure(2); clf
for pp = 1 : 48
  for ss = 1 : 7
    tt = 6; ttk = 1;
    semilogx(raaP(:,pp),squeeze(raaaaT(pp,ss,:,tt)),...
             raaP(:,pp),squeeze(raaaaT(pp,ss,:,ttk))); 
    hold on; 
    end
  end
title('p1-p1');

figure(3); clf
for pp = 1 : 48
  for ss = 1 : 7
    tt = 8; ttk = 1;
    semilogx(raaP(:,pp),squeeze(raaaaT(pp,ss,:,tt)),...
             raaP(:,pp),squeeze(raaaaT(pp,ss,:,ttk))); 
    hold on; 
    end
  end
title('d1-d1');

figure(4); clf
for pp = 1 : 48
  for ss = 1 : 7
    tt = 7; ttk = 1;
    semilogx(raaP(:,pp),squeeze(raaaaT(pp,ss,:,tt)),...
             raaP(:,pp),squeeze(raaaaT(pp,ss,:,ttk))); 
    hold on; 
    end
  end
title('p2-p2');

figure(5); clf
for pp = 1 : 48
  for ss = 1 : 7
    ttk = 1; 
    semilogx(raaP(:,pp),squeeze(raaaaT(pp,ss,:,ttk)))
    hold on; 
    end
  end
title('kinetic');

save nlte_profs.mat -v6

%  1 raT  
%  2 raaNLTE_vib(1,1)     = 2349.143    sigsig  9  1         
%  3 raaNLTE_vib(1,2)     = 2283.488    sigsig  9  2 
%  4 raaNLTE_vib(1,3)     = 2332.113    sigsig  9  3 
%  5 raaNLTE_vib(1,4)     = 2340.014    sigsig  9  4  
%  6 raaNLTE_vib(1,5)     = 2338.177    pipi   16  1 
%  7 raaNLTE_vib(1,6)     = 2271.755    pipi   16  2 
%  8 raaNLTE_vib(1,7)     = 2324.123    deldel 24  1 
%  9 raaNLTE_vib(1,8)     = 2260.0320   deldel 24  2 
