dirIN0 = '../NONLTE3_Feb2021/PUERTAS_DATA/AIRS_CO2_VTs_v3_ig2_Dusk_Mar2020/forKCARTA/merge/';
dirIN0 = '../NONLTE3_Feb2021/PUERTAS_DATA/AIRS_CO2_VTs_v3_ig2_Dusk_Mar2020/vt_airs_v3_2/';

press = -5:0.1:3;
press = 10.^press;

dirIN = 'Set001_100/Sergio_vt_profs_1_100/';
iSol = 0;
for ii = 1 : 100
  [dataVT,dataVMR,dataVTS] = read_manuel_pt_vmr_vts(dirIN,ii,iSol,1);
  dataVTS.P = interp1(dataVT.Z,dataVT.P,dataVTS.Z);

  tkinetic(:,ii) = interp1(log(dataVT.P),dataVT.T,log(press),[],'extrap');

  ix = find(dataVTS.hitranL == 21 & dataVTS.hitranU == 9);  %% 2349 cm-1
  tvib2350(:,ii) = interp1(log(dataVTS.P),dataVTS.tvib(ix,:),log(press),[],'extrap');
end

semilogy(tvib2350-tkinetic,press); set(gca,'ydir','reverse'); ylim([1e-5 1e3]);

usual = 1:49; %% first 49 are our regression profiles
semilogy(nanmean(tvib2350'-tkinetic'),press,'b',nanstd(tvib2350'-tkinetic'),press,'c',...
         nanmean(tvib2350(:,usual)'-tkinetic(:,usual)'),press,'r',nanstd(tvib2350(:,usual)'-tkinetic(:,usual)'),press,'m')
set(gca,'ydir','reverse'); ylim([1e-5 1e3]);
ax = axis; line([ax(1) ax(2)],[1e-3 1e-3],'color','k');
set(gca,'fontsize',10)
grid
