dirIN = 'PUERTAS_DATA/AIRS_CO2_VTs_v3_ig2_Dusk_Mar2020/forKCARTA/merge/';

aa = 30;

ii = 1;
  data0 = read_manuel(dirIN,aa,ii);
  allTvib(ii,:,:) = data0.tvib;

for ii = 2 : 48
  data = read_manuel(dirIN,aa,ii);
  allTvib(ii,:,:) = data.tvib;
  if sum(data0.hitran - data.hitran) ~= 0
    error('sum(data0.hitran - data.hitran) ~= 0');
  end
end 

Z = data.Z;
vibcenter = data.vibcenter;

i4um = abs(vibcenter - 2349);
i4um = find(i4um == min(i4um));
figure(1); subplot(121); plot(squeeze(allTvib(:,i4um,:)),Z);
             grid on; set(gca,'fontsize',10)
           subplot(122); plot(detrend(squeeze(allTvib(:,i4um,:))),Z);
             grid on; set(gca,'fontsize',10)

addpath /home/sergio/MATLABCODE_Git/EOF_PCA/
pah = squeeze(allTvib(:,i4um,:))';                        %% pressurelevel x location
[L, EOFs, EC, error] = driver_eof1(pah);
[L, EOFs, EC, error] = driver_eof1(detrend(pah));
figure(2); semilogy(L,'o-'); title('Tvib eigenvalues, all Z')

figure(3); semilogy(L/max(L),'o-'); title('Tvib eigenvalues, all Z')
LL = L/max(L);
figure(3); semilogy(cumsum(LL),'o-'); title('Tvib eigenvalues, all Z')
axis([0 10 1 sum(LL)]); grid on; set(gca,'fontsize',10)
LL = L/sum(L);
figure(3); semilogy(cumsum(LL),'o-'); title('Tvib eigenvalues,  Z from 40-120 km')
axis([0 10 0 1]); grid on; set(gca,'fontsize',10)

%%%%%%%%%%%%%%%%%%%%%%%%%
iua = find(Z >= 40);
pah2 = squeeze(allTvib(:,i4um,:))';                        %% pressurelevel x location
pah2 = pah(iua,:);

figure(4); subplot(121); plot(squeeze(allTvib(:,i4um,iua)),Z(iua));
             grid on; set(gca,'fontsize',10)
           subplot(122); plot(detrend(squeeze(allTvib(:,i4um,iua))),Z(iua));
             grid on; set(gca,'fontsize',10)

[L, EOFs, EC, error] = driver_eof1(pah2);
[L, EOFs, EC, error] = driver_eof1(detrend(pah2));
figure(5); semilogy(L,'o-'); title('Tvib eigenvalues,  Z from 40-120 km')

figure(6); semilogy(L/max(L),'o-'); title('Tvib eigenvalues,  Z from 40-120 km')
LL = L/max(L);
figure(6); semilogy(cumsum(LL),'o-'); title('Tvib eigenvalues,  Z from 40-120 km')
axis([0 10 1 sum(LL)]); grid on; set(gca,'fontsize',10)
LL = L/sum(L);
figure(6); semilogy(cumsum(LL),'o-'); title('Tvib eigenvalues,  Z from 40-120 km')
axis([0 10 0 1]); grid on; set(gca,'fontsize',10)

