function [dataVT,dataVMR,dataVTS] = read_manuel_pt_vmr_vts(dirIN0,iProf,aa,co2);

%% read VTS = Tvib temps
%% iProf = profile (1..49,40..349)   
%% aa = solzen = 0:10:120
%% co2 = 1:3 (370,415,460) -- see emailC.txt
%%
%% dirIN0 = 'Set001_100/Sergio_vt_profs_1_100/';
%% [dataVT,dataVMR,dataVTS] = read_manuel_pt_vmr_vts(dirIN0,aa,iProf,co2);

if length(nargin) == 2
  aa = 0;
  co2 = 1;
elseif length(nargin) == 3
  co2 = 1;
end

dirIN = [dirIN0 '/pt/'];  dataVT  = read_manuel_pt(dirIN,iProf);

%dirIN = [dirIN0 '/vmr/']; dataVMR = read_manuel_vmr(dirIN,iProf);
dirIN = [dirIN0 '/vmr/']; dataVMR = read_manuel_vmr_001_359_solang_co2(dirIN,iProf,aa,co2);

dirIN = [dirIN0 '/vts/']; dataVTS = read_manuel_co2_vts(dirIN,aa,iProf,co2);


