function data = read_manuel_vmr(dirIN,ii);

%% read VMR
%% ii = profile (1..49,40..349)   
%% example : more  PUERTAS_DATA/AIRS_CO2_VTs_v3_ig2_Dusk_Mar2020/forKCARTA/merge/vt31_s40.prf
%% ls Set001_100/Sergio_vt_profs_1_100/vmr/vmr32_s0_co2_1.prf
%%   Set001_100/Sergio_vt_profs_1_100/vmr/vmr32_s0_co2_1.prf
%% dirIN = 'Set001_100/Sergio_vt_profs_1_100/vmr/';
%% data = read_manuel_vmr(dirIN,1);

%{
dirX = 'Set001_100/Sergio_vt_profs_1_100/vmr/';                data0_vmr = read_manuel_vmr([dirX],12);
dirX = 'Set101_200/Sergio_vt_profs_101_200/vmr/';              data0_vmr = read_manuel_vmr([dirX],112);

dirX = 'Set201_349/Sergio_vt_profs_201_349_the_end/pt_vmrs/';  data0_vmr = read_manuel_vmr([dirX],001);
dirX = 'Set201_349/Sergio_vt_profs_201_349_the_end/pt_vmrs/';  data0_vmr = read_manuel_vmr([dirX],101);
dirX = 'Set201_349/Sergio_vt_profs_201_349_the_end/pt_vmrs/';  data0_vmr = read_manuel_vmr([dirX],201);
%}

x = strfind(dirIN,'Set201_349');
if length(x) == 0
  x = -1;
end
%fprintf(1,'ii = %3i dinIN = %s strfind = %4i \n',ii,dirIN,x)

if ii < 200 & x == -1
  data = read_manuel_vmr_001_200(dirIN,ii);
elseif ii < 200 & x > 0
  data = read_manuel_vmr_201_359(dirIN,ii);
else
  data = read_manuel_vmr_201_359(dirIN,ii);
end
